@charset "UTF-8";

html {
  font-size: 16px;
  width: 100%;
  height: 100%;
}

body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

#app {
  width: 100%;
  height: 100%;
}

ul {
  list-style-type: none;
}

div,
ul {
  box-sizing: border-box;
}

/* 1366x768/1440x900/1600x900/1920x1080 */
body,
div,
p,
h1,
h2,
h3,
h4,
h5,
h6,
span,
dl,
dt,
dd,
form,
ul,
li,
ol {
    padding: 0;
    margin: 0;
    outline: none;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    /* Firefox */
    -webkit-box-sizing: border-box;
    /* Safari */
    font-family: Microsoft YaHei, PingFang SC, WenQuanYi Micro Hei, Arial, -apple-system, BlinkMacSystemFont,
        Helvetica Neue, Source Han Sans SC, Noto Sans CJK SC, sans-serif,
        Trebuchet MS, Arial, Impact
        /* 这个数字非常好看 */
        , Times New Roman, Georgia, Verdana, Tahoma,
    ;
    /* 去掉点击的高亮 禁止选中文字*/
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -khtml-user-select: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    user-select: none;
}

img {
    max-width: 100%;
    outline: none;
    -webkit-outline: 1px solid transparent;
    outline: 1px solid transparent;
    border: none;
    vertical-align: middle;
    object-fit: fill;
    object-fit: contain;
    object-fit: scale-down;
}

ol,
ul,
li,
dl,
dd,
dt {
    list-style-type: none;
    padding: 0;
}

a {
    text-decoration: none;
    outline: none;
}

input,
textarea,
select,
button {
    outline: 0;
    border: 0;
}

textarea {
    resize: none;
}

table {
    text-align: center;
    border-collapse: collapse;
}

body {
    font-smoothing: antialiased;
    -webkit-font-smoothing: antialiased;
}

body,
html {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch
}

/* event.preventDefault()来判断是否到达底部或者顶部-webkit-overflow-scrolling: touch移动端会卡死 */
a,
p,
h1,
h2,
h3,
h4,
h5,
h6,
span {
    color: #3f3a39;
}

a:hover,
a:active,
a:visited,
a:link,
a:focus {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
    outline: none;
    background: none;
    text-decoration: none;
}

p {
    text-align: justify;
}

i {
    font-style: normal;
}

.l {
    float: left;
}

.r {
    float: right;
}

input[type=button],
input[type=submit],
input[type=file],
button {
    cursor: pointer;
    outline: 0px;
    -webkit-appearance: none;
}

textarea {
    -webkit-appearance: none;
}

/*@font-face{font-family:"hei";src:url('../fonts/VentiCF-Bold.otf');
    src:url('../fonts/Aileron-Bold-4.woff'),
    url('../fonts/Aileron-Bold-4.ttf.ttf'),
    url('../fonts/Aileron-Bold-4.svg') format('svg');
}*/
/* picture zoom 不清晰 */
img {
    image-rendering: -moz-crisp-edges;
    image-rendering: -o-crisp-edges;
    image-rendering: -webkit-optimize-contrast;
    -ms-interpolation-mode: nearest-neighbor;
}

.clear {
    clear: both
}

.clearfloat:after {
    display: block;
    content: "";
    clear: both;
    visibility: hidden;
    height: 0;
}

.clearfloat {
    zoom: 1;
}
.flex_center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.flex_items_center {
  display: flex;
  align-items: center;
}

.flex_justify_center {
  display: flex;
  justify-content: center;
}

.width_box {
  width: 75%;
  margin: 0 auto;
}
.main_width {
  width: 78%;
  margin: auto;
}
/* flex通用布局 */

.flex_start_start {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}

.flex_start_center {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.flex_start_stretch {
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
}

.flex_end_start {
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;
}

.flex_end_center {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.flex_end_stretch {
  display: flex;
  justify-content: flex-end;
  align-items: stretch;
}

.flex_center_start {
  display: flex;
  justify-content: center;
  align-items: flex-start;
}

.flex_center_center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.flex_center_stretch {
  display: flex;
  justify-content: center;
  align-items: stretch;
}

.flex_bw_start {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}
.flex_around_start {
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
}
.flex_bw_stretch {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
}

.flex_bw_center {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.flex_0 {
  flex-shrink: 0;
  flex-grow: 0;
}

.flex_1 {
  flex-shrink: 1;
  flex-grow: 1;
}

.flex_2 {
  flex-shrink: 2;
  flex-grow: 2;
}

.flex_wrap {
  flex-wrap: wrap;
}

.flex_column {
  flex-direction: column;
}

/* 文字溢出隐藏 */

.text_over_1 {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.text_over_2 {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.text_over_3 {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
}

.text_over_4 {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
}

.text_intent20 {
  text-indent: 20px;
}
.text_intent40 {
  text-indent: 40px;
}
.text_intent52 {
  text-indent: 52px;
}
.text_intent60 {
  text-indent: 60px;
}

::-webkit-scrollbar {
  /*滚动条整体样式*/
  width: 3px;
  /*高宽分别对应横竖滚动条的尺寸*/
  height: 1px;
}

::-webkit-scrollbar-thumb {
  /*滚动条里面小方块*/
  border-radius: 10px;
  box-shadow: inset 0 0 3px rgba(97, 184, 179, 0.1);
  background: #8bbeee;
}

::-webkit-scrollbar-track {
  /*滚动条里面轨道*/
  box-shadow: inset 0 0 3px rgba(87, 175, 187, 0.1);
  border-radius: 10px;
  background: #ededed;
}

.cur_pointer {
  cursor: pointer;
}

.border_radius_4 {
  border-radius: 4px;
}

.zhanwei20 {
  height: 20px;
}

.zhanwei30 {
  height: 30px;
}

.zhanwei40 {
  height: 40px;
}
.zhanwei50 {
  height: 50px;
}
.zhanwei60 {
  height: 60px;
}

.pad_10 {
  padding: 0 10px;
}
.pad_15 {
  padding: 0 15px;
}
.pad_20 {
  padding: 0 20px;
}
.ml10 {
  margin-left: 10px;
}
.ml15 {
  margin-left: 15px;
}
.ml20 {
  margin-left: 20px;
}
.ml25 {
  margin-left: 25px;
}
.ml30 {
  margin-left: 30px;
}
.ml40 {
  margin-left: 40px;
}
.mr10 {
  margin-right: 10px;
}
.mr15 {
  margin-right: 15px;
}
.mr20 {
  margin-right: 20px;
}
.mr30 {
  margin-right: 30px;
}
.mr40 {
  margin-right: 40px;
}
.mr50 {
  margin-right: 50px;
}
.mb10 {
  margin-bottom: 10px;
}
.mb15 {
  margin-bottom: 15px;
}
.mb20 {
  margin-bottom: 20px;
}
.mb30 {
  margin-bottom: 30px;
}
.mb40 {
  margin-bottom: 40px;
}
.mt5 {
  margin-top: 5px;
}
.mt8 {
  margin-top: 8px;
}
.mt10 {
  margin-top: 10px;
}
.mt15 {
  margin-top: 15px;
}
.mt20 {
  margin-top: 20px;
}
.mt30 {
  margin-top: 30px;
}
.mt40 {
  margin-top: 40px;
}

.mt50 {
  margin-top: 50px;
}

.t_a {
  text-align: center;
}
.t_l {
  text-align: left;
}
.t_r {
  text-align: right;
}
.re {
  position: relative;
}
.ab {
  position: absolute;
}

.font_40 {
  font-size: 40px;
}
.font_36 {
  font-size: 36px;
}
.font_30 {
  font-size: 30px;
}
.font_26 {
  font-size: 26px;
}
.font_28 {
  font-size: 28px;
}
.font_24 {
  font-size: 24px;
}
.font_20 {
  font-size: 20px;
}

/* 细线方法 */
.line {
  position: relative;
}

.line::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 200%;
  height: 200%;

  transform-origin: 0 0;
  transform: scale(0.5);
  pointer-events: none;
}
.row_center {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.row_nocenter {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.row_bw {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}

.row_nobw {
  display: flex;
  justify-content: space-between;
}

.row_start {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.row_nostart {
  display: flex;
  justify-content: flex-start;
}

.row_end {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.row_centerb {
  display: flex;
  align-items: baseline;
  flex-wrap: wrap;
}

.column_center {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.column_nocenter {
  display: flex;
  flex-direction: column;
}

.column_bw {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.column_start {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.column_nostart {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.column_end {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

input::-webkit-input-placeholder {
  color: #868686
}

textarea::-webkit-input-placeholder {
  color: #868686
}
